\documentclass[11pt,twoside,a4paper]{article}
\usepackage[italian]{babel}
\usepackage[T1]{fontenc}
\usepackage[utf8]{inputenc}
\usepackage[top=20mm, head=6mm, headsep=6mm, foot=6mm, bottom= 15mm, left=15mm, right=15mm]{geometry}
\usepackage{amsmath}
\usepackage{mathtools}
\usepackage{calc} 
\usepackage{pythontex}
\usepackage{tikz}
\usetikzlibrary{automata,positioning}
\newcommand{\mylabel}[1]{#1\hfill}
\renewenvironment{itemize}
  {\begin{list}{$\triangleright$}{%
   \setlength{\parskip}{0mm}
   \setlength{\topsep}{.4\baselineskip}
   \setlength{\rightmargin}{0mm}
   \setlength{\listparindent}{0mm}
   \setlength{\itemindent}{0mm}
   \setlength{\labelwidth}{2ex}
   \setlength{\itemsep}{.4\baselineskip}
   \setlength{\parsep}{0mm}
   \setlength{\partopsep}{0mm}
   \setlength{\labelsep}{1ex}
   \setlength{\leftmargin}{\labelwidth+\labelsep}
   \let\makelabel\mylabel}}{%
   \end{list}\vspace*{-1.3mm}}
\parindent0ex
\parskip2ex
\newcounter{quesito}
\newenvironment{question}{\bigskip\addtocounter{quesito}{1}\bigskip\bigskip\par\textbf{Quesito \thequesito.\kern0ex}}{\par\vspace{\parskip}}
\newenvironment{xquestion}{\bigskip\addtocounter{quesito}{1}\bigskip\bigskip\par\textbf{Quesito \thequesito.\kern1ex}}{\par\vspace{\parskip}}
\newenvironment{answer}{\par\textbf{Risposta\quad}}{\par\vspace{\parskip}}

\pagestyle{empty} 

\begin{document}

\colorbox{blue!10}{\begin{minipage}{\textwidth}
Classici t-test.
\end{minipage}}

\bigskip\bigskip


\begin{pycode}
import random
random.seed(29499935)
\end{pycode}

\begin{question}
\begin{pycode}
import math
from scipy import stats

liquid = random.choice(['milk','water','acetone', 'hydrogen peroxide (H$_2$O$_2$)', 'ethyl alcohol'])
mu0 = random.choice([500,600,750])
n = random.choice([4,9, 16])
xbar = mu0 - random.choice([8,10,12])
sd = random.choice([14,18,220])
tstat = (xbar-mu0)*math.sqrt(n)/sd
tstat = round(tstat, 4)
pval = stats.t.cdf(tstat,n-1)
pval = round(pval, 4)
\end{pycode}
A machine fills $\py{mu0}$ml of \py{liquid} into packages. It is suspected that the machine is not working correctly and that the amount filled is less than the setpoint. A sample of $\py{n}$ packages filled by the machine are collected. The sample mean is $\py{xbar}$ml and the sample standard deviation is $\py{sd}$ml. Can we reject the hypothesis that the machine is working correctly?

Answer the following questions: H$_0$? H$_1$? What test is required? What is the value of the statistic? What is the p-value? 


\begin{answer}

  {\color{blue}
  H$_0:$\hfill $\mu = \mu_0 = \py{mu0}$\kern19ex
  
  H$_1:$\hfill $\mu<\mu_0 = \py{mu0}$\kern19ex
  
  We use a one tail t-test (lower tail)\kern19ex}
  
  $n = \py{n}$\hfill sample size\kern19ex
  
  $s = \py{sd}$\hfill sample standard deviation\kern19ex
  
  $\bar{x} = \py{xbar}$\hfill sample mean\kern19ex
  
  $t = \displaystyle\frac{\bar{x}-\mu_0}{s/\sqrt{n}}\ {\color{blue} = \py{tstat}}$\hfill{\color{blue} value of the t-test statistic}\kern19ex
  
  $n-1 = \py{n-1}$\hfill degrees of freedom\kern19ex
  
  $P\big(T_{n-1}<t\big)\ {\color{blue} = {\tt t.cdf(\py{tstat},\py{n-1} ) }} = \py{pval}$\hfill{\color{blue} p-value}\kern19ex

\end{answer}
\end{question}

\clearpage
\begin{question}
\begin{pycode}
import math
from scipy import stats

liquid = random.choice(['milk','water','acetone', 'hydrogen peroxide (H$_2$O$_2$)', 'ethyl alcohol'])
mu0 = random.choice([500,600,750])
n = random.choice([4,9])
xbar = mu0 + random.choice([8,10,12])
sd = random.choice([14,18,220])
tstat = abs(xbar-mu0)*math.sqrt(n)/sd
tstat = round(tstat, 4)
pval = 1-stats.t.cdf(tstat,n-1)
pval = round(pval, 4)
\end{pycode}
A machine fills $\py{mu0}$ml of \py{liquid} into packages. It is suspected that the machine is not working correctly and that the amount filled is more than the setpoint. A sample of $\py{n}$ packages filled by the machine are collected. The sample mean is $\py{xbar}$ml and the sample standard deviation is $\py{sd}$ml. Can we reject the hypothesis that the machine is working correctly?

Answer the following questions: H$_0$? H$_1$? What test is required? What is the value of the statistic? What is the p-value? 


\begin{answer}

  H$_0:$\hfill $\mu = \mu_0 = \py{mu0}$\kern19ex
  
  H$_1:$\hfill $\mu>\mu_0 = \py{mu0}$\kern19ex
  
  We use a one tail t-test (upper tail)\kern19ex
  
  $n = \py{n}$\hfill sample size\kern19ex
  
  $s = \py{sd}$\hfill sample standard deviation\kern19ex
  
  $\bar{x} = \py{xbar}$\hfill sample mean\kern19ex
  
  $t = \displaystyle\frac{|\bar{x}-\mu_0|}{s/\sqrt{n}}\ {\color{blue} = \py{tstat}}$\hfill value of the t-test statistic\kern19ex
  
  $n-1 = \py{n-1}$\hfill degrees of freedom\kern19ex
  
  $P\big(T_{n-1}>t\big) = 1- P\big(T_{n-1}<t\big)\ {\color{blue} = \py{pval}}$\hfill p-value\kern19ex

\end{answer}
\end{question}

\begin{question}
\begin{pycode}
import math
from scipy import stats
mu0 = random.choice( [4.0, 4.1, 4.2, 4.3] )
mu0 = round(mu0,1)
n = random.choice( [20, 22, 24, 26, 28] )
xbar = mu0 - random.choice( [0.5, 0.6, 0.7] )
xbar = round(xbar,1)
sd = 1.1 + random.choice( [0.2, 0.3, 0.4] )
sd = round(sd, 1)
tstat = abs(xbar-mu0)*math.sqrt(n)/sd
tstat = round(tstat, 4)
pval = 1-stats.t.cdf(tstat,n-1)
pval = round(pval, 4)
\end{pycode}
It is claimed that a new treatment is more effective than the standard treatment for prolonging the lives of terminal cancer patients. The standard treatment has been in use for a long time and from records in medical journals the mean survival period has been $\py{mu0}$ years with a standard deviation of $1.1$ years. The new treatment is administered to $\py{n}$ patients and their average duration of survival is calculated to be $\py{xbar}$ years with a standard deviation of $\py{sd}$. Can we reject the hypothesis that the new treatment is as effective as the old one? 

Answer the following questions: H$_0$? H$_1$? What test is required? What is the value of the statistic? What is the p-value? 

\begin{answer}\parskip5pt

  $\mu_0 = \py{mu0}$\kern19ex

  H$_0:$\hfill $\mu = \mu_0$\kern19ex
  
  H$_1:$\hfill $\mu>\mu_0$\kern19ex
  
  We use a one tail t-test (upper tail)\kern19ex
  
  $n = \py{n}$\hfill sample size\kern19ex
  
  $s = \py{sd}$\hfill sample standard deviation\kern19ex
  
  $\bar{x} = \py{xbar}$\hfill sample mean\kern19ex
  
  $t = \displaystyle\frac{|\bar{x}-\mu_0|}{s/\sqrt{n}}\ {\color{blue}= \py{tstat}}$\hfill value of the t-test statistic\kern19ex
  
  $n-1 = \py{n-1}$\hfill degrees of freedom\kern19ex
  
  $P\big(T_{n-1}>t\big) = 1- P\big(T_{n-1}<t\big)\ {\color{blue} = \py{pval}}$\hfill p-value\kern19ex

\end{answer}
\end{question}

\clearpage
\begin{question}
\begin{pycode}
import math
from scipy import stats
mu0 = random.choice([9,10,11,12,13,14,15,16])
n = random.choice([9,16])
xbar = mu0 - random.choice([0.5,0.6,0.7])
xbar = round(xbar, 1)
sd = 0.3 + random.choice([0.1, 0.2, 0.3])
sd = round(sd, 1)
tstat = abs(xbar-mu0)*math.sqrt(n)/sd
tstat = round(tstat, 4)
pval = stats.t.cdf(-tstat,n-1)
pval = round(pval, 4)
\end{pycode}
A manufacturer claims that the mean lifetime of a lightbulb is on average at least $\py{mu0}$ thousand  hours with a standard deviation of $0.3$. In a sample of $\py{n}$ lightbulbs, it was found that they only last $\py{xbar}$ thousand hours on average. The sample standard deviation is $\py{sd}$ thousand hours. Can we reject the manufacturer's claim? 

Answer the following questions: H$_0$? H$_1$? What test is required? What is the value of the statistic? What is the p-value? 

\begin{answer}\parskip5pt

  $\mu_0 = \py{mu0}$\kern19ex

  H$_0:$\hfill $\mu = \mu_0$\kern19ex
  
  H$_1:$\hfill $\mu<\mu_0$\kern19ex
  
  We use a one tail t-test (lower tail)\kern19ex
  
  $n = \py{n}$\hfill sample size\kern19ex
  
  $s = \py{sd}$\hfill sample standard deviation\kern19ex
  
  $\bar{x} = \py{xbar}$\hfill sample mean\kern19ex
  
  $t = \displaystyle\frac{|\bar{x}-\mu_0|}{s/\sqrt{n}}\  {\color{blue}= \py{tstat}}$\hfill value of the t-test statistic\kern19ex
  
  $n-1 = \py{n-1}$\hfill degrees of freedom\kern19ex
  
  $P\big(T_{n-1}<-t\big)\  {\color{blue}= \py{pval}}$\hfill p-value\kern19ex

\end{answer}
\end{question}

\end{document} 
